picard.util

## Class MathUtil.LogMath

- java.lang.Object
- - picard.util.MathUtil.LogMath

- Enclosing class:
    MathUtil

      public static class MathUtil.LogMath
      extends Object

  A collection of common math operations that work with log values. To use it, pass values from log space, the operation will be computed in non-log space, and a value in log space will be returned.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getLog_of_base()`
    `double` | `getLogValue(double nonLogValue)` Returns the log-representation of the provided decimal value.
    `double[]` | `getLogValue(double[] nonLogArray)` Returns the log-representation of the provided decimal array.
    `double` | `getNonLogValue(double logValue)` Returns the decimal representation of the provided log values.
    `double` | `mean(double... logValues)` Computes the mean of the provided log values.
    `double` | `product(double... logValues)` Computes the sum of the provided log values.
    `double` | `sum(double... logValues)` Computes the sum of the provided log values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLog_of_base

          public double getLog_of_base()

    - #### getNonLogValue

          public double getNonLogValue(double logValue)

      Returns the decimal representation of the provided log values.

    - #### getLogValue

          public double getLogValue(double nonLogValue)

      Returns the log-representation of the provided decimal value.

    - #### getLogValue

          public double[] getLogValue(double[] nonLogArray)

      Returns the log-representation of the provided decimal array.

    - #### mean

          public double mean(double... logValues)

      Computes the mean of the provided log values.

    - #### sum

          public double sum(double... logValues)

      Computes the sum of the provided log values.

    - #### product

          public double product(double... logValues)

      Computes the sum of the provided log values.